<?xml version="1.0"?>
<!DOCTYPE softpkg SYSTEM "http://openccm.objectweb.org/dtd/ccm/softpkg.dtd">

<softpkg name="Client" version="2,0">
  <title>Client</title>
  <pkgtype>CORBA Component</pkgtype>
  <author>
    <name>Areski Flissi</name>
    <company>LIFL</company>
    <webpage href="http://www.objectweb.org/openccm/"/>
  </author>
  <description>Illustrating a simple chat application</description>
  <license href="http://corbaweb.lifl.fr/OpenCCM/COPYRIGHT"/>
  <idl id="IDL:chat/Client:1.0">
    <link href="chat.idl3"></link>
  </idl>
  <descriptor type="CORBA Component">
    <fileinarchive name="META-INF/client.ccd"/>
  </descriptor>
  <propertyfile>
    <fileinarchive name="META-INF/client.cpf"/>
  </propertyfile>

  <implementation id="ClientImpl">
    <os name="WinNT" version="4,0,0,0"/>
    <os name="Linux" version="2,2,17,0"/>
    <processor name="x86"/>
    <compiler name="JDK"/>
    <programminglanguage name="Java"/>
    <dependency type="ORB" action="assert">
      <name>OpenORB</name>
    </dependency>
    <code type="Java class">
      <fileinarchive name="archives/chat.jar"/>
      <entrypoint>org.objectweb.ccm.chat.cif.ClientHomeImpl.create_home</entrypoint>
    </code>
    <runtime name="Java VM" version="1,2,2,0"/>
    <runtime name="Java VM" version="1,3,0,0"/>
  </implementation>

</softpkg>

