<?xml version="1.0"?>
<!DOCTYPE softpkg SYSTEM "http://openccm.objectweb.org/dtd/ccm/softpkg.dtd">

<softpkg name="Philosopher" version="2,0">
  <title>Client</title>
  <pkgtype>CORBA Component</pkgtype>
  <author>
    <name>Philippe Merle</name>
    <name>Mathieu Vadet</name>
    <company>LIFL</company>
    <webpage href="http://corbaweb.lifl.fr/OpenCCM/"/>
  </author>
  <description>Illustrating a simple client/server application</description>
  <license href="http://corbaweb.lifl.fr/OpenCCM/COPYRIGHT"/>
  <idl id="IDL:demo1/Client:1.0">
    <link href="demo1.idl3"></link>
  </idl>
  <descriptor type="CORBA Component">
    <fileinarchive name="META-INF/client.ccd"/>
  </descriptor>
  <propertyfile>
    <fileinarchive name="META-INF/client.cpf"/>
  </propertyfile>
  <dependency action="install">
    <fileinarchive name="archives/OpenCCM_Plugins.jar"/>
    <name>openccm_plugins</name>
    </dependency>

  <implementation id="ClientImpl">
    <os name="WinNT" version="4,0,0,0"/>
    <os name="Linux" version="2,2,17,0"/>
    <processor name="x86"/>
    <compiler name="JDK"/>
    <programminglanguage name="Java"/>
    <dependency type="ORB" action="assert">
      <name>OpenORB</name>
    </dependency>
    <code type="Java class">
      <fileinarchive name="archives/demo1.jar"/>
      <entrypoint>org.objectweb.ccm.demo1.cif.ClientHomeImpl.create_home</entrypoint>
    </code>
    <runtime name="Java VM" version="1,2,2,0"/>
    <runtime name="Java VM" version="1,3,0,0"/>
  </implementation>

</softpkg>

