<?xml version="1.0"?>
<!DOCTYPE softpkg SYSTEM "http://openccm.objectweb.org/dtd/ccm/softpkg.dtd">

<softpkg name="Server" version="2,0">
  <title>Server</title>
  <pkgtype>CORBA Component</pkgtype>
  <author>
    <name>Philippe Merle</name>
    <name>Mathieu Vadet</name>
    <company>LIFL</company>
    <webpage href="http://corbaweb.lifl.fr/OpenCCM/"/>
  </author>
  <description>Illustrating a simple client/server-producer/consumers application</description>
  <license href="http://corbaweb.lifl.fr/OpenCCM/COPYRIGHT"/>
  <idl id="IDL:demo3/Server:1.0">
    <link href="demo3.idl3"></link>
  </idl>
  <descriptor type="CORBA Component">
    <fileinarchive name="META-INF/server.ccd"/>
  </descriptor>
  <dependency action="install">
    <fileinarchive name="archives/OpenCCM_Plugins.jar"/>
    <name>openccm_plugins</name>
    </dependency>

  <implementation id="ServerImpl">
    <os name="WinNT" version="4,0,0,0"/>
    <os name="Linux" version="2,2,17,0"/>
    <processor name="x86"/>
    <compiler name="JDK"/>
    <programminglanguage name="Java"/>
    <dependency type="ORB" action="assert">
      <name>OpenORB</name>
    </dependency>
    <code type="Java class">
      <fileinarchive name="archives/demo3.jar"/>
      <entrypoint>org.objectweb.ccm.demo3.cif.ServerHomeImpl.create_home</entrypoint>
    </code>
    <runtime name="Java VM" version="1,2,2,0"/>
    <runtime name="Java VM" version="1,3,0,0"/>
  </implementation>
</softpkg>

