<?xml version="1.0"?>
<!DOCTYPE softpkg SYSTEM "http://openccm.objectweb.org/dtd/ccm/softpkg.dtd">

<softpkg name="ForkManager" version="2,0">
  <title>ForkManager</title>
  <pkgtype>CORBA Component</pkgtype>
  <author>
    <name>Philippe Merle</name>
    <name>Sylvain Leblanc</name>
    <company>LIFL</company>
    <webpage href="http://corbaweb.lifl.fr/OpenCCM/"/>
  </author>
  <description>The dining philosophers demo with OpenCCM</description>
  <license href="http://corbaweb.lifl.fr/OpenCCM/COPYRIGHT"/>
  <idl id="IDL:DiningPhilosophers/ForkManager:1.0">
    <link href="DiningPhilosophers.idl3"></link>
  </idl>
  <descriptor type="CORBA Component">
    <fileinarchive name="META-INF/forkmanager.ccd"/>
  </descriptor>
  <dependency action="install">
    <fileinarchive name="archives/OpenCCM_Plugins.jar"/>
    <name>openccm_plugins</name>
    </dependency>

  <implementation id="ForkManagerImpl">
    <os name="WinNT" version="4,0,0,0"/>
    <os name="Linux" version="2,2,17,0"/>
    <processor name="x86"/>
    <compiler name="JDK"/>
    <programminglanguage name="Java"/>
    <dependency type="ORB" action="assert">
      <name>OpenORB</name>
    </dependency>
    <code type="Java class">
      <fileinarchive name="archives/DiningPhilosophers.jar"/>
      <entrypoint>DiningPhilosophers.cif.ForkHomeImpl.create_home</entrypoint>
    </code>
    <runtime name="Java VM" version="1,2,2,0"/>
    <runtime name="Java VM" version="1,3,0,0"/>
  </implementation>
</softpkg>

