@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2000-2002 USTL - LIFL - GOAL
rem # Contact: openccm-team@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Philippe Merle.
rem # Contributor(s): Briclet Frederic
rem #
rem # ====================================================================
rem #
rem # ==============================
rem # start the component installation
rem # ==============================

set run_id=start_comp_inst

rem # ===========================================
rem # Obtain the IOR of the started Name Service.
rem # ===========================================
call ns_ior > %OpenCCM_CONFIG_DIR%\derf.tmp
for /f %%i in (%OpenCCM_CONFIG_DIR%\derf.tmp) do set ior_NS=%%i
del %OpenCCM_CONFIG_DIR%\derf.tmp

set jvm_args=-Dior_ns=%ior_NS%

set args= "--runid %run_id% %1 %OpenCCM_HOMEDIR%\xml\launcher\Comp_inst.xml"

launcher fork "%jvm_args%" %args% "%OpenCCM_CONFIG_DIR%\Comp_inst.out" "%OpenCCM_CONFIG_DIR%\Comp_inst.pid"
